Subject: [bug#41350] [PATCH v2 3/3] system: vm: Build vm-image using native qemu, for the Hurd.

From: Mathieu Othacehe <[email-masked]>
Date: Sun, 24 May 2020 20:11:26 +0200

> Ah, qemu-img convert -- nice.  So, we get different type of images.
> Wonder if that could play some role?

Hope not!

> The most interesting differences I see are wrt Grub, e.g.
>
> -/mnt/boot/grub/fonts
> -/mnt/boot/grub/fonts/unicode.pf2
>
> could that still play a role?  I'm having a look why this could be missing.

It's because I just copy "lib/grub" folder in (gnu bootloader grub). I
should also do that for the fonts I guess. But I doubt the issue comes
from here.

> --- vm-image.lst-s	2020-05-24 15:41:02.051314009 +0200
> +++ disk-image.lst-s	2020-05-24 15:41:08.407414141 +0200
> @@ -3,293 +3,577 @@
>  /mnt/boot
>  /mnt/boot/activation
>  /mnt/boot/grub
> -/mnt/boot/grub/fonts

At some point, if we have the same files inside, it should work :p I
noticed that doing a cfdisk on the raw converted, vm-image root
partition reports:

Attributes: 80

which doesn't appear on the disk-image.

However, tune2fs does not show any noticeable difference (both ext_attr
and Hurd OS type are set).

Mathieu